import { DatePipe } from '@angular/common';
import { LoggerConfig } from './logger.config';
import { NGXLoggerHttpService } from './http.service';
import { NGXLogger } from './logger.service';
import { NGXLoggerMonitor } from './logger-monitor';
import { NGXMapperService } from './mapper.service';
/**
 * CustomNGXLoggerService is designed to allow users to get a new instance of a logger
 */
export declare class CustomNGXLoggerService {
    private readonly mapperService;
    private readonly httpService;
    private readonly platformId;
    private readonly datePipe;
    constructor(mapperService: NGXMapperService, httpService: NGXLoggerHttpService, platformId: any, datePipe: DatePipe);
    create(config: LoggerConfig, httpService?: NGXLoggerHttpService, logMonitor?: NGXLoggerMonitor, mapperService?: NGXMapperService): NGXLogger;
}
